Subject: Re: [PATCH bpf-next v10 2/4] bpf: new helper to obtain namespace data from current task New bpf helper bpf_get_current_pidns_info.

From: Carlos Antonio Neira Bustos <[email-masked]>
Date: Fri, 13 Sep 2019 08:58:43 -0300

On Fri, Sep 13, 2019 at 02:56:43AM +0000, Yonghong Song wrote:
Yonghong,

Great, I'll submit this new interface along self tests as version 12.
Thanks for your help.

Bests
> 
> 
> On 9/12/19 3:03 PM, carlos antonio neira bustos wrote:
> > Yonghong,
> > 
> > I think bpf_get_ns_current_pid_tgid interface is a lot better than the 
> > one proposed in my patch, how are we going to move forward? Should I 
> > take these changes and refactor the selftests to use this new interface 
> > and submit version 12 or as the interface changed completely is a new 
> > set of patches?.
> 
> This is to solve the same problem. You can just submit as version 12.
> This way, we preserves discussion history clearly.
> 
> > 
> > Eric,
> > Thank you very much for explaining the problem and your help to move 
> > forward with this new helper.
> > 
> > 
> > Bests